# == Synopsis
#
# makebib: make a bib from the contents of a directory or a set of directories
#
# == Usage
#
# makebib [OPTION] ... BASE_DIR EXT_FILTER
#
# -p, --password:
#    password for data encryption
#    
# -h, --help:
#    show help
#
# BASE_DIR: The base dir from where makebib should begin to make bibs
# EXT_FILTER : List of file extensions that will be included into the bib

require './bib'

# Dossier pour leS BIB (va bouclé sur les rep)
root = "/home/sylvain/dev/test_bib/images/"
filter = [".bmp", ".png"]
password = "BvY,5:#p@snJ=Ss<1OyOD:I6+1=wBJ"

# Contient la liste des répertoires qui doivent être Bibés
bibs = []

# Make the list of potential bibs
Dir.chdir(root)
bibs = Dir['*']

# Make bibs
bibs.each do |b|
  puts "Creating #{b}.bib"
  bib = Bib.new(b + ".bib", password)
  bib.create(b, filter)
end
