require './bib'

def list(bib)
  i, s = [0, 0]
  bib.entries.keys.sort.each do |k|
    v = bib.entries[k]
    puts "#{k} (at #{v.offset}, for #{v.size})"
    i += 1
    s += v.size
  end
  puts if i > 0
  puts "#{i} files (#{s} bytes) in the bib"
end

PASSWORD = 'BvY,5:#p@snJ=Ss<1OyOD:I6+1=wBJ'

Dir['*.bib'].each do |bib|
  puts "Processing #{bib}"

  b = Bib.new(bib, PASSWORD)
  b.read_index
  list(b)

  dir = File.basename(bib, File.extname(bib))
  Dir.mkdir(dir) unless Dir.exists?(dir)

  b.entries.each_key do |filename|
    File.open(File.join(dir, filename), 'wb') do |f|
      f << b[filename]
    end
  end
end
